<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>awesome-gists</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<p>A collection of awesome gists. Feel free to contribute.</p>
<h2 id="toc">TOC</h2>
<ul>
<li><a href="#toc">TOC</a></li>
<li><a href="#databases">Databases</a>
<ul>
<li><a href="#mysql">MySQL</a></li>
<li><a href="#redis">Redis</a></li>
<li><a href="#mongodb">MongoDB</a></li>
<li><a href="#dynamodb">DynamoDB</a></li>
</ul></li>
<li><a href="#services">Services</a>
<ul>
<li><a href="#heroku">Heroku</a></li>
<li><a href="#amazon">Amazon</a></li>
<li><a href="#tsuru">Tsuru</a></li>
<li><a href="#cloudflare">CloudFlare</a></li>
</ul></li>
<li><a href="#terminal">Terminal</a>
<ul>
<li><a href="#tmux">Tmux</a></li>
<li><a href="#zsh">Zsh</a></li>
</ul></li>
<li><a href="#testing">Testing</a></li>
<li><a href="#yaml">YAML</a></li>
<li><a href="#json">JSON</a></li>
<li><a href="#languages">Languages</a>
<ul>
<li><a href="#python">Python</a></li>
<li><a href="#golang">Golang</a></li>
<li><a href="#javascript">JavaScript</a></li>
<li><a href="#php">PHP</a></li>
</ul></li>
<li><a href="#environment">Environment</a></li>
<li><a href="#osx">OSX</a>
<ul>
<li><a href="#tips">Tips</a></li>
</ul></li>
<li><a href="#ios">iOS</a></li>
</ul>
<h2 id="databases">Databases</h2>
<p>All databases are welcome :)</p>
<h4 id="mysql">MySQL</h4>
<ul>
<li><a href="https://gist.github.com/hofmannsven/9164408">My simply MySQL Command Line Cheatsheet</a></li>
<li><a href="https://gist.github.com/esperlu/943776">MySQL to Sqlite converter</a></li>
</ul>
<h4 id="redis">Redis</h4>
<ul>
<li><a href="https://gist.github.com/paulrosania/257849">A CentOS initscript for Redis</a></li>
<li><a href="https://gist.github.com/lsbardel/257298">Init.d Redis script for Ubuntu</a></li>
<li><a href="https://gist.github.com/cyx/3690597">Monit Redis</a></li>
<li><a href="https://gist.github.com/lmars/fca0f18b4ecd507fb39a">Flynn Redis</a></li>
</ul>
<h4 id="mongodb">MongoDB</h4>
<ul>
<li><a href="https://gist.github.com/scttnlsn/3210919">Pub/sub with MongoDB and Node.js</a></li>
<li><a href="https://gist.github.com/tamoyal/10441108">Create super user and database user in Mongo 2.6</a></li>
<li><a href="https://gist.github.com/Btibert3/7751989">Basic Overview of using the rmongodb package for R.</a></li>
<li><a href="https://gist.github.com/mattpodwysocki/218388">MongoDB and F#</a></li>
<li><a href="https://gist.github.com/lmars/8be1952a8d03f8a31b17">Flynn MongoDB</a></li>
<li><a href="https://gist.github.com/erans/ce21c919921608d064cd">MongoDB ReplicaSet Backup Script on Google Compute Engine and Google Cloud Storage</a></li>
</ul>
<h4 id="dynamodb">DynamoDB</h4>
<ul>
<li><span class="citation" data-cites="integralist">[Prettied up some AWS Ruby SDK DynamoDB examples from @integralist.]</span>(https://gist.github.com/kenoir/8998532)</li>
<li><a href="https://gist.github.com/sansmischevia/5148109">convert DynamoDb JSON to regular JSON javascript objects</a></li>
</ul>
<h2 id="services">Services</h2>
<p>Most used services to deploy, and host your applications.</p>
<h4 id="heroku">Heroku</h4>
<ul>
<li><a href="https://gist.github.com/afeld/5704079/">Using Rails+Bower on Heroku</a></li>
<li><a href="https://gist.github.com/adamwiggins/5687294">My Heroku Values</a></li>
<li><a href="https://gist.github.com/njvitto/362873">Rakefile to deploy and rollback to Heroku in two different environments for the same app</a></li>
<li><a href="https://gist.github.com/edelpero/9257311">Heroku, Ruby on Rails and PhantomJS</a></li>
</ul>
<h4 id="amazon">Amazon</h4>
<ul>
<li><a href="https://gist.github.com/kylefritz/633175">publish a message to Amazon SNS using python or ruby</a></li>
<li><a href="https://gist.github.com/AndreasStokholm/3778351">Auto-deploy with php and github on an Ubuntu Amazon EC2 box</a></li>
<li><a href="https://gist.github.com/dstroot/2776679">Install Redis on Amazon EC2 AMI</a></li>
<li><a href="https://gist.github.com/oodavid/2206527">Backup MySQL to Amazon S3</a></li>
<li><a href="https://gist.github.com/springmeyer/3427021">Mapnik on Amazon Linux AMI (Fedora)</a></li>
</ul>
<h4 id="tsuru">Tsuru</h4>
<ul>
<li><a href="https://gist.github.com/andrewsmedina/8857051">Deploying Go applications in tsuru</a></li>
</ul>
<h4 id="cloudflare">CloudFlare</h4>
<ul>
<li><a href="https://gist.github.com/larrybolt/6295160">Automatically update your CloudFlare DNS record to the IP, Dynamic DNS</a></li>
<li><a href="https://gist.github.com/gentlecat/3149751">CloudFlare DNS records updater</a></li>
<li><a href="https://gist.github.com/jaytaylor/6273175">CloudFlare command-line DNS management shell script</a></li>
</ul>
<h2 id="terminal">Terminal</h2>
<h4 id="tmux">Tmux</h4>
<ul>
<li><a href="https://gist.github.com/MohamedAlaa/2961058">Tmux shortcuts &amp; cheatsheet</a></li>
</ul>
<h4 id="zsh">Zsh</h4>
<ul>
<li><a href="https://gist.github.com/kevin-smets/8568070">iTerm2 + oh my zsh + solarized + Meslo powerline font (OSX)</a></li>
</ul>
<h2 id="testing">Testing</h2>
<ul>
<li><a href="https://gist.github.com/daemianmack/1099713">Selenium with Python</a></li>
</ul>
<h2 id="yaml">YAML</h2>
<p>Parsers, files with data collections and more.</p>
<ul>
<li><a href="https://gist.github.com/pkuczynski/8665367">Read YAML file from Bash script</a></li>
</ul>
<h2 id="json">JSON</h2>
<p>Parsers, files with data collections and more.</p>
<ul>
<li><a href="https://gist.github.com/mshafrir/2646763">US states in JSON form</a></li>
</ul>
<p>####Python * <a href="https://gist.github.com/sirleech/2660189">Python Read JSON from HTTP Request of URL</a> * <a href="https://gist.github.com/lightcatcher/1136415">Python JSON Benchmark</a> * <a href="https://gist.github.com/hest/8798884">Fast SQLAlchemy counting (avoid query.count() subquery)</a></p>
<h2 id="languages">Languages</h2>
<h4 id="python">Python</h4>
<ul>
<li><a href="https://gist.github.com/didip/867589">Testing Tornado RequestHandlers</a></li>
<li><a href="https://gist.github.com/drgarcia1986/3cce1d134c3c3eeb01bd">Python HelloWorld (WebFrameworks) Collection</a></li>
</ul>
<h4 id="golang">Golang</h4>
<ul>
<li><a href="https://gist.github.com/cryptix/45c33ecf0ae54828e63b#file-asymmetric-go-L152">example of using JWT for http authentication in go</a></li>
<li><a href="https://gist.github.com/cryptix/87127f76a94183747b53">extract a javascript object value from a html page using goquery and otto</a></li>
<li><a href="https://gist.github.com/andreagrandi/97263aaf7f9344d3ffe6">Parse a JSON http POST in GoLang</a></li>
<li><a href="https://gist.github.com/drewolson/4771479">Golang Reflection Example</a></li>
<li><a href="https://gist.github.com/border/3489566">Mongo Driver - Mgo Example</a></li>
<li><a href="https://gist.github.com/ijt/950790">Example of using http.Get in go (golang)</a></li>
<li><a href="https://github.com/SerifAndSemaphore/go-serverless-list">Go Serverless List</a></li>
</ul>
<h4 id="javascript">JavaScript</h4>
<ul>
<li><a href="https://gist.github.com/getify/2b53198906d320abe650">ES6 highlight reel</a></li>
</ul>
<h4 id="php">PHP</h4>
<ul>
<li><a href="https://gist.github.com/kkirsche/5710272">How to install Composer globally using MAMP’s PHP</a></li>
</ul>
<h2 id="environment">Environment</h2>
<p>Environment configurations and tutorials</p>
<ul>
<li><a href="https://gist.github.com/dergachev/3866825">Vagrant Tutorial</a></li>
<li><a href="https://gist.github.com/gabrielhpugliese/5855677">Tutorial for running Meteor in Windows using Vagrant</a></li>
<li><a href="https://gist.github.com/fideloper/7074502">Vagrant Provisioning Script for PHP applications. This installs a LAMP stack.</a></li>
<li><a href="https://gist.github.com/vsouza/77e6b20520d07652ed7d">Golang 1.4.1 setup in Mac OSX with HomeBrew.</a></li>
</ul>
<h2 id="osx">OSX</h2>
<h4 id="tips">Tips</h4>
<p>Tips to improve your osx * <a href="https://gist.github.com/brandonb927/3195465">OSX for Hackers</a> * <a href="https://gist.github.com/mbinna/4202236">Clear Cocoapods cache and update</a> * <a href="https://gist.github.com/dergachev/4627207">OS X Screencast to animated GIF</a></p>
<h2 id="ios">iOS</h2>
<ul>
<li><a href="https://gist.github.com/JaviLorbada/4a7bd6129275ebefd5a6">Functional Reactive Programming (FRP) Links</a></li>
</ul>
<h1 id="update">UPDATE:</h1>
<h2 id="external-services">External Services</h2>
<p>Displaying data from external services in a pinned gist.</p>
<ul>
<li><a href="https://github.com/matchai/bird-box">bird-box</a> - Update a pinned gist to contain the latest tweets of a Twitter user.</li>
<li><a href="https://github.com/matchai/waka-box">waka-box</a> - Update a pinned gist to contain your weekly WakaTime stats.</li>
<li><a href="https://github.com/YouEclipse/waka-box-go">waka-box-go</a> - A Golang implementation of waka-box. Update a pinned gist to contain your weekly WakaTime stats.</li>
<li><a href="https://github.com/JohnPhamous/strava-box">strava-box</a> - Update a pinned gist to contain your YTD exercise metrics from Strava.</li>
<li><a href="https://github.com/jacc/music-box">music-box</a> - Update a pinned gist to contain your weekly listening report on Last.fm.</li>
<li><a href="https://github.com/izayl/spotify-box">spotify-box</a> - Update a pinned gist to contain your weekly top tracks on Spotify.</li>
<li><a href="https://github.com/Leecason/netease-music-box">netease-music-box</a> - Update a pinned gist to contain your weekly listening report on Netease Cloud Music.</li>
<li><a href="https://github.com/KeJunMao/bilibili-box">bilibili-box</a> - Update a pinned gist to contain your latest Bilibili videos.</li>
<li><a href="https://github.com/joshghent/rescue-box">rescue-box</a> - Update a pinned gist to contain your daily productivity stats from RescueTime.</li>
<li><a href="https://github.com/RangerDigital/neko-box">neko-box</a> - Update a pinned gist to contain the latest activity from AniList.</li>
<li><a href="https://github.com/CodeDaraW/douban-box">douban-box</a> - Update a pinned gist to contain the latest user status about books/movies/music from Douban.</li>
<li><a href="https://github.com/LuisAlejandro/movie-box">movie-box</a> - Update a pinned gist to contain your media center stats from Trakt.tv.</li>
<li><a href="https://github.com/puf17640/covid-box">covid-box</a> - Update a gist to contain global or country specific coronavirus stats.</li>
<li><a href="https://github.com/artemnovichkov/shortcut-box">shortcut-box</a> - Update a pinned gist to contain random IDE shortcut</li>
<li><a href="https://github.com/SinaKhalili/youtube-box">youtube-box</a> - Update a pinned gist to show your latest YouTube videos</li>
<li><a href="https://github.com/amorriscode/book-box">book-box</a> - Update a pinned gist to contain your latest reads from goodreads</li>
<li><a href="https://github.com/mdluo/goodreads-box">goodreads-box</a> - Update a pinned gist to show your currently reading books and progress on Goodreads.</li>
<li><a href="https://github.com/tobimori/toggl-box">toggl-box</a> - Update a pinned gist to contain your weekly Toggl time tracking stats</li>
<li><a href="https://github.com/YouEclipse/steam-box">steam-box</a> - Update a pinned gist to contain your Steam playtime leaderboard.</li>
<li><a href="https://github.com/Ancientwood/codestats-box">codestats-box</a> - Update a pinned gist to contain your daily Code::Stats.</li>
<li><a href="https://github.com/aksh1618/codestats-box-python">codestats-box-python</a> - A Python implementation of codestats-box. Update a pinned gist to contain your Code::Stats stats.</li>
<li><a href="https://github.com/tobimori/typeracer-box">typeracer-box</a> - Update a pinned gist to contain your latest TypeRacer races</li>
<li><a href="https://github.com/sciencepal/chess-com-box-py">chess-com-box-py</a> - Update a pinned gist to contain your Chess.com Ratings.</li>
<li><a href="https://github.com/Aveek-Saha/blog-box">blog-box</a> - Update a pinned gist to show your latest dev.to blog post.</li>
<li><a href="https://github.com/kylemocode/medium-stat-box">medium-stat-box</a> - Update a pinned gist to show your medium stats and latest articles.</li>
</ul>
<h2 id="github">GitHub</h2>
<p>Displaying more detailed GitHub user data in a pinned gist.</p>
<ul>
<li><a href="https://github.com/JasonEtco/activity-box">activity-box</a> - Update a pinned gist to contain the latest activity of a GitHub user.</li>
<li><a href="https://github.com/maxam2017/productive-box">productive-box</a> - Update a pinned gist to contain your most productive hours during the day.</li>
<li><a href="https://github.com/bokub/github-stats-box">github-stats-box</a> - Update a pinned gist to contain your GitHub statistics.</li>
<li><a href="https://github.com/inokawa/lang-box">lang-box</a> - Update a pinned gist to contain languages of your recent commits in GitHub</li>
</ul>
</body>
</html>
